So-net無料ブログ作成

Mac radiko録音 スクリプトめも [Mac]

-----------------------------------------------------------------------------------------------------------------------
Mac radiko 録音シェル・スクリプト(radiko4.ksh)をちょいといじって、iOS device 同期とかを
ダラダラーっと追加(黄色文字部分)
※1 OS X 10.8.3 + iTunes 11.0.2 + iPod touch G1,G5、iPad miniなんかで動作を確認
※2 ファストユーザスイッチには未対応(TTY =console を異なるユーザで複数使用している場合など)
-----------------------------------------------------------------------------------------------------------------------
  radiko5.ksh
#!/bin/ksh #----------------------------------------------------------------- # $1:ID (必須) # TBS TBSラジオ # QRR 文化放送 # LFR ニッポン放送 # NSB ラジオNIKKEI # INT INTERFM # FMT TOKYO FM # BAYFM78 BayFm # NACK5 NACK5 # JORF ラジオ日本 # YFM FM yokohama # --------------------- # ABC ABCラジオ # MBS MBSラジオ # OBC ラジオ大阪 # CCL FM COCOLO # 802 FM802 # FMO FM大阪 # # $2:OFILE (必須) # 任意のファイル名(UTF-8可) # $3:TIME (必須) # 録音時間(分) # # -t "VALUE" (省略可) # タイトル # -a "VALUE" (省略可) # アーティスト # -A "VALUE" (省略可) # アルバム # -g "VALUE" (省略可) # ジャンル #----------------------------------------------------------------- export LANG="ja_JP.UTF-8" LC_ALL="ja_JP.UTF-8" USAGE=\ "Usage:$0 ID OFILE TIME [-t \"TITLE\"] [-a \"ARTIST\"] [-A \"ALBUM\"] [-g \"GENRE\"]" if [ $# -lt 3 ];then print "${USAGE}\n`head -n36 $0 | grep -v ksh | sed 's/^#//g' `" 1>&2 exit 1 fi ID="$1" OFILE="$2" TIME=$3 CHK_INT=3 # shellキックユーザーGUI login チェック間隔(sec) WAIT=60 # shellキックユーザーGUI login からiTunes起動実行までの待ち(sec) ISWAIT=3 # iTunes ライブラリ追加待ち間隔(sec) (iTunes_DIRからファイルが消えるまで) STAT=0 # shellキックユーザーlogin 内部フラグ #------------------------------------------# GetAuth_SRC="${HOME}/get_auth.sh" #------------------------------------------# TOUT=1800 # sec DELAY=20 # sec RDIR=/tmp CODEC=libmp3lame ####CODEC=libfaac ((TIME=TIME*60+DELAY)) DATE1=$(date +%Y-%m-%d_%H.%M.%S) DATE2=$(echo ${DATE1} | cut -c1-10) YEAR=$(echo ${DATE1} | cut -c1-4) shift 3 while getopts a:g:t:A: opt do case ${opt} in t) TITLE="${OPTARG} ${DATE2}";; a) AUTHOR="${OPTARG}";; g) GENRE="${OPTARG}";; A) ALBUM="${OPTARG}";; *) echo ${USAGE} 1>&2 exit 1;; esac done if [ "${CODEC}" = "libmp3lame" ];then RFILE="${RDIR}/${ID}_${OFILE}_${DATE1}.mp3" else RFILE="${RDIR}/${ID}_${OFILE}_${DATE1}.m4a" fi ### authentication RAuth=`${GetAuth_SRC}` set -- ${RAuth} playerurl=$1 authtoken=$2 /usr/local/bin/rtmpdump -B ${TIME} -m ${TOUT} -qvr \ rtmpe://w-radiko.smartstream.ne.jp/${ID}/_definst_/simul-stream.stream \ -W ${playerurl} -C S:"" -C S:"" -C S:"" -C S:${authtoken} \ -o - 2>/dev/null | \ /opt/local/bin/ffmpeg -y -i - -vn -acodec ${CODEC} -ar 44100 -ab 196608 -ac 2 \ -metadata author="${AUTHOR}" \ -metadata artist="${AUTHOR}" \ -metadata title="${TITLE}" \ -metadata album="${ALBUM}" \ -metadata genre="${GENRE}" \ -metadata year="${YEAR}" \ "${RFILE}" > /dev/null 2>&1 #---- Lion 10.7.X 2012/03/19 if (( $(sw_vers -productVersion | awk -F"." '{ print $1$2}') >= 107 )); then F_DIR="Automatically Add to iTunes.localized" else F_DIR="iTunes に自動的に追加" fi ### iTunes_DIR=`find "${HOME}" -name "iTunes に自動的に追加" -type d | grep -vi trash` iTunes_DIR=`find ${HOME} -name "${F_DIR}" -type d | grep -vi trash` if [ "${iTunes_DIR}" ]; then cp "${RFILE}" "${iTunes_DIR}" if [ "$?" = "0" ]; then rm -f "${RFILE}" ### console login check ### Me=`who am i | awk '{ print $1}'` while true do who | awk '{ print $1" "$2}' | while read U C do ### U=console login user, C=tty ### if [ "${U}" = "${Me}" ] && [ "${C}" = "console" ]; then STAT=1 break fi done if [ "${STAT}" = "1" ]; then break else ### login wait ### sleep ${CHK_INT} fi done sleep ${WAIT} ### iTunes 起動 ### open /Applications/iTunes.app while true do #### iTunes ライブラリ追加待ち ### if [ ! -f "${iTunes_DIR}/`basename \"${RFILE}\"`" ]; then break else sleep ${ISWAIT} fi done #### iOS deviceの同期など ### osascript \ -e 'tell application "iTunes"' \ -e 'set so to sources whose kind = iPod' \ -e 'repeat with t in so' \ -e 'update t' \ -e 'end repeat' \ -e 'end tell' fi fi

nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

iOSデバイス同期とか。 [Mac]

メモ: iOSデバイス同期とか。
※ユーザーがloginしてないと意味ないけど。つかiTunes bgで動かないの仕方なし。

--- sync_iosdev.sh ---
#!/bin/sh
open /Applications/iTunes.app
sleep 10

osascript \
    -e 'tell application "iTunes"' \
    -e 'set so to sources whose kind = iPod' \
    -e 'repeat with t in so' \
    -e 'update t' \
    -e 'end repeat' \
    -e 'end tell'
なんか"sleep"とか"open"とかがFirefox 19.0で表示されない..けど気にしない。

nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

MacBook Air (Mid 2012) に GbE-USB3.0を繋いでみた [Mac]

玄人志向からUSB3.0接続のGigabit Etherアダプター(GbE-USB3.0)が発売されったことで、
早速MacBook Air (Mid 2012) に繋いでみた。
普段はApple Thunderbolt - ギガビットEthernetアダプタを使用しいるけど、
これ繋いじゃうとthunderbolt(Mini DisplayPort)の口が塞がっちゃうので
どうしたモノかと思っていたころに発売ってことでアキバで即ゲット

Apple Thunderbolt - ギガビットEthernetアダプタとの比較
n0.png
N2.png

SC01.png

Driver CDにMac用も入ってますが...AX88179用のドライバは本家からDL

で、簡単なパフォーマンステストとか(iperf 180sec を3回)

<玄人志向 GbE-USB3.0>

$ iperf -c macpro -t 180
------------------------------------------------------------
Client connecting to macpro, TCP port 5001
TCP window size: 129 KByte (default)
------------------------------------------------------------
[ 5] local 192.168.1.95 port 49994 connected with 192.168.1.106 port 5001
[ ID] Interval Transfer Bandwidth
[ 5] 0.0-180.0 sec 18.6 GBytes 890 Mbits/sec
$
$ iperf -c macpro -t 180
------------------------------------------------------------
Client connecting to macpro, TCP port 5001
TCP window size: 129 KByte (default)
------------------------------------------------------------
[ 5] local 192.168.1.95 port 50105 connected with 192.168.1.106 port 5001
[ ID] Interval Transfer Bandwidth
[ 5] 0.0-180.0 sec 18.4 GBytes 878 Mbits/sec
$
$
$ iperf -c macpro -t 180
------------------------------------------------------------
Client connecting to macpro, TCP port 5001
TCP window size: 129 KByte (default)
------------------------------------------------------------
[ 5] local 192.168.1.95 port 50169 connected with 192.168.1.106 port 5001
[ ID] Interval Transfer Bandwidth
[ 5] 0.0-180.0 sec 18.6 GBytes 889 Mbits/sec
$

<Apple Thunderbolt - ギガビットEthernetアダプタ>

$ iperf -c macpro -t 180
------------------------------------------------------------
Client connecting to macpro, TCP port 5001
TCP window size: 129 KByte (default)
------------------------------------------------------------
[ 5] local 192.168.1.95 port 50518 connected with 192.168.1.106 port 5001
[ ID] Interval Transfer Bandwidth
[ 5] 0.0-180.0 sec 19.6 GBytes 934 Mbits/sec
$
$ iperf -c macpro -t 180
------------------------------------------------------------
Client connecting to macpro, TCP port 5001
TCP window size: 129 KByte (default)
------------------------------------------------------------
[ 5] local 192.168.1.95 port 50528 connected with 192.168.1.106 port 5001
[ ID] Interval Transfer Bandwidth
[ 5] 0.0-180.0 sec 19.7 GBytes 938 Mbits/sec
$
$ iperf -c macpro -t 180
------------------------------------------------------------
Client connecting to macpro, TCP port 5001
TCP window size: 129 KByte (default)
------------------------------------------------------------
[ 5] local 192.168.1.95 port 50539 connected with 192.168.1.106 port 5001
[ ID] Interval Transfer Bandwidth
[ 5] 0.0-180.0 sec 19.7 GBytes 938 Mbits/sec
$

Apple Thunderbolt - ギガビットEthernetアダプタよりは若干遅いけど、
個人的には全然問題無さげ。

<その他>
デザイン&サイズが残念

nice!(0)  コメント(2)  トラックバック(0) 
共通テーマ:日記・雑感

Giada I53B-BQ001など [PC]

Giada I53B-BQ001 にGiada mini-PC用 accessary Wi-Fi キットも入れてみた

角度調整可能アンテナ付き無線LAN 802.11 b/g/n + Bluetoothコンボアダプタ
AzureWave AW-NB087H
IEEE 802.11b/g/n,Bluetooth v3.0HS
あとリモコン+HDMIケーブルも付いてきますw

写真左側の基盤は、IRリモコン用かな? Windows Media Centerとか制御できます。
 1回しか使ってないけど。
 で、アンテナケーブル長に余裕が殆ど無いので取り付けに難儀しました。

M1.png

M2.png

----- 2012/11/06 追記 -----
・BIOSメニューとか

2012-11-06 22.14.44.JPG

2012-11-06 21.58.57.JPG

2012-11-06 21.57.09.JPG

2012-11-06 22.01.13.JPG

・MEMORY W3N1333F-8G → DDR3-1600 PC3-12800 8GB JM1600KSH-8G
 で、ちょっぴりスコアUP
pp.png
 -----------------------------

Giada I53B-BQ001 をアキバでゲットしてきたので簡単なメモとか

OSを入れる前に BIOS → Advanced → HDD Configuration → Interface Combination [IDE] を [AHCI]に変更しておかないとSSDの速度がAHCI設定に比べて100MB/sは下がるようなので忘れずに。

2012-10-13 13.27.52.JPG

大きさ比較(Blu-rayケース) ※タイトルに意味はありませんw
size.jpg

MEMORY W3N1333F-8G ※昨年 Mac mini用に購入もdiagでエラーを吐いて放置してあった奴の片割れ
2012-10-13 14.19.49.JPG

DISK Samsung 830 Series MZ-7PC256B
2012-10-13 14.22.20.JPG

で、こんな感じ
WS000000.JPG WS000001.JPG


まだ、殆ど使ってないけど、感想とか
・バラしは簡単
・ファンの音が思いのほかデカい
・ケンジントン・ロック用の穴とか一応ある
・NIC → RTL8168
・まぁお値段は高め
・お遊びようVPN Server、Service Processor接続、ちょっとしたVM立てなんかの用途には十分なスペックかと

RS-232CやらPacketixなど、その他モロモロの設定何かはそのうち...今宵はここまで。
nice!(0)  コメント(3)  トラックバック(0) 
共通テーマ:日記・雑感

radiko録音その4(Mac) [Mac]

--- 2013/12/13 追記----------------------
AK120はmp3タグがid3v2.4 (ffmpeg default) だと文字化け起こすのでid3v2.3に設定とか。(緑文字)
--- 2013/04/14 追記----------------------
iOS device 同期とかはこっち 
--- 2013/01/08 追記----------------------
いつの間にやらffmpegの-metadataに
設定した文字列が反映されなくなってる!!
※ffmpegのパラメータ順序を変更したら直ったよw(黄色部分)
  -metadata XX=zzz の後に出力ファイル意外のパラメータを指定するとNGっぽい
 (真面目に調べた訳ではないのでまぁ、こんな感じで)

 ・Mountain Lion 10.8.2 
 ・Xcode 4.5.2
 ・ffmpeg version 1.0.1
--- 2012/10/26 追記----------------------
googleやら掲示板やら見て修正 (赤ぢ部分)
-----------------------------------------

なんかradikoの認証方式がかなり変わったようです...。

0.前提
 (1) 要 Xcode
 (2) 要 rtmpdump、ffmpeg、wget、base64、swftools
 (3) スクリプトのPATHは適宜置換えでよろ。(/opt/local/bin;/usr/local/binなど...)

1.スクリプトを配置(その1)
  以下のスクリプトをホームディレクトリに置いて、chmod 755 radiko4.kshを実行
  radiko4.ksh
#!/bin/ksh #----------------------------------------------------------------- # $1:ID (必須) # TBS TBSラジオ # QRR 文化放送 # LFR ニッポン放送 # NSB ラジオNIKKEI # INT INTERFM # FMT TOKYO FM # BAYFM78 BayFm # NACK5 NACK5 # JORF ラジオ日本 # YFM FM yokohama # --------------------- # ABC ABCラジオ # MBS MBSラジオ # OBC ラジオ大阪 # CCL FM COCOLO # 802 FM802 # FMO FM大阪 # # $2:OFILE (必須) # 任意のファイル名(UTF-8可) # $3:TIME (必須) # 録音時間(分) # # -t "VALUE" (省略可) # タイトル # -a "VALUE" (省略可) # アーティスト # -A "VALUE" (省略可) # アルバム # -g "VALUE" (省略可) # ジャンル #----------------------------------------------------------------- export LANG="ja_JP.UTF-8" LC_ALL="ja_JP.UTF-8" USAGE=\ "Usage:$0 ID OFILE TIME [-t \"TITLE\"] [-a \"ARTIST\"] [-A \"ALBUM\"] [-g \"GENRE\"]" if [ $# -lt 3 ];then print "${USAGE}\n`head -n36 $0 | grep -v ksh | sed 's/^#//g' `" 1>&2 exit 1 fi ID="$1" OFILE="$2" TIME=$3 #------------------------------------------# GetAuth_SRC="${HOME}/get_auth.sh" #------------------------------------------# TOUT=1800 # sec DELAY=20 # sec RDIR=/tmp CODEC=libmp3lame ####CODEC=libfaac ((TIME=TIME*60+DELAY)) DATE1=$(date +%Y-%m-%d_%H.%M.%S) DATE2=$(echo ${DATE1} | cut -c1-10) YEAR=$(echo ${DATE1} | cut -c1-4) shift 3 while getopts a:g:t:A: opt do case ${opt} in t) TITLE="${OPTARG} ${DATE2}";; a) AUTHOR="${OPTARG}";; g) GENRE="${OPTARG}";; A) ALBUM="${OPTARG}";; *) echo ${USAGE} 1>&2 exit 1;; esac done if [ "${CODEC}" = "libmp3lame" ];then RFILE="${RDIR}/${ID}_${OFILE}_${DATE1}.mp3" ID3V="-id3v2_version 3" else RFILE="${RDIR}/${ID}_${OFILE}_${DATE1}.m4a" fi ### authentication RAuth=`${GetAuth_SRC}` set -- ${RAuth} playerurl=$1 authtoken=$2 /usr/local/bin/rtmpdump -B ${TIME} -m ${TOUT} -qvr \ rtmpe://w-radiko.smartstream.ne.jp/${ID}/_definst_/simul-stream.stream \ -W ${playerurl} -C S:"" -C S:"" -C S:"" -C S:${authtoken} \ -o - 2>/dev/null | \ /opt/local/bin/ffmpeg -y -i - ${ID3V} -vn -acodec ${CODEC} -ar 44100 -ab 196608 -ac 2 \ -metadata author="${AUTHOR}" \ -metadata artist="${AUTHOR}" \ -metadata title="${TITLE}" \ -metadata album="${ALBUM}" \ -metadata genre="${GENRE}" \ -metadata year="${YEAR}" \ "${RFILE}" > /dev/null 2>&1 #---- Lion 10.7.X 2012/03/19 if (( $(sw_vers -productVersion | awk -F"." '{ print $1$2}') >= 107 )); then F_DIR="Automatically Add to iTunes.localized" else F_DIR="iTunes に自動的に追加" fi ### iTunes_DIR=`find "${HOME}" -name "iTunes に自動的に追加" -type d | grep -vi trash` iTunes_DIR=`find ${HOME} -name "${F_DIR}" -type d | grep -vi trash` if [ "${iTunes_DIR}" ]; then cp "${RFILE}" "${iTunes_DIR}" if [ "$?" = "0" ]; then rm -f "${RFILE}" fi fi
2.スクリプトを配置(その2) 以下のスクリプトをホームディレクトリに置いて、chmod 755 get_auth.shを実行 ※1 上記 radiko4.kshから実行されるサブシェル ※2 参考にさせて頂いたのはこちらのスクリプト ⇒ 簡易radiko録音ツール  get_auth.shはPCに一時ファイルを一切吐かないように上記で参考にしたスクリプト内容を変更してます。  (某pngファイルの表示内容に対するささやかな抵抗?w) get_auth.sh
#!/bin/sh playerurl=http://radiko.jp/player/swf/player_3.0.0.01.swf # # access auth1_fms # auth1_fms=`/usr/local/bin/wget -q \ --header="pragma: no-cache" \ --header="X-Radiko-App: pc_1" \ --header="X-Radiko-App-Version: 2.0.1" \ --header="X-Radiko-User: test-stream" \ --header="X-Radiko-Device: pc" \ --post-data='\r\n' \ --no-check-certificate \ --save-headers \ https://radiko.jp/v2/api/auth1_fms \ -O -` if [ $? -ne 0 -o ! "${auth1_fms}" ]; then echo "failed auth1 process" 1>&2 exit 1 fi # get keydata # get partial key # authtoken=`echo ${auth1_fms} | perl -ne 'print $1 if(/x-radiko-authtoken: ([\w-]+)/i)'` offset=`echo ${auth1_fms} | perl -ne 'print $1 if(/x-radiko-keyoffset: (\d+)/i)'` length=`echo ${auth1_fms} | perl -ne 'print $1 if(/x-radiko-keylength: (\d+)/i)'` partialkey=`/usr/local/bin/wget -q -O - ${playerurl} 2>/dev/null | \ /opt/local/bin/swfextract -b 14 /dev/stdin -o /dev/stdout | \ dd bs=1 skip=${offset} count=${length} 2> /dev/null | \ /opt/local/bin/base64` if [ $? -ne 0 -o ! "${partialkey}" ]; then echo "failed auth1 process" 1>&2 exit 1 fi # # access auth2_fms # auth2_fms=`/usr/local/bin/wget -q \ --header="pragma: no-cache" \ --header="X-Radiko-App: pc_1" \ --header="X-Radiko-App-Version: 2.0.1" \ --header="X-Radiko-User: test-stream" \ --header="X-Radiko-Device: pc" \ --header="X-Radiko-Authtoken: ${authtoken}" \ --header="X-Radiko-Partialkey: ${partialkey}" \ --post-data='\r\n' \ --no-check-certificate \ https://radiko.jp/v2/api/auth2_fms \ -O -` if [ $? -ne 0 -o ! "${auth2_fms}" ]; then echo "failed auth2 process" 1>&2 exit 1 fi ### echo "authentication success" 1>&2 areaid=`echo ${auth2_fms} | perl -ne 'print $1 if(/^([^,]+),/i)'` ### echo "areaid: ${areaid}" 1>&2 echo "${playerurl}" "${authtoken}"
3.スクリプトの実行方法  ⇒ 面倒なので省略 ⇒ 「radiko録音(Mac)」、「radiko録音その2(Mac)」、「radiko録音その3(Mac)」    あたりを参照してください。

nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

MacでDDNSの設定など [Mac]

キャリアをUCOMからNTTに変更してみた。で、フレッツ 光ネクスト マンション・ハイスピードタイプにしたってことで
スピードに関しては全然不満は無いんだけど、NTTからのレンタル物品 PR-S300SE(ONU+Router)には今時どこのRouterにもあるようなDDNSのIPアドレス登録更新機能が無いのねぇー。
ってことで、普段電源入れっぱのMac miniにDynDNSのIPアドレス登録更新をさせましょっ!

まぁ、この手の内容はググれは山ほど情報があるので備忘録な感じで。

1.DDNS更新ツールをげっと
$ svn co https://ddclient.svn.sourceforge.net/svnroot/ddclient/trunk ddclient
2.必要なファイルの配置など
$ sudo mkdir /var/cache/ddclient /etc/ddclient $ cd ddclient $ sudo cp -p ddclient /usr/sbin $ sudo chown root:wheel /usr/sbin/ddclient

3.DynDNS用の設定
※ http://www.dyndns.com/support/tools/clientconfig.html にアクセスしてコピった方が間違えなくて良いかも
(1) viで編集(/etc/ddclient/ddclient.conf)
$ sudo vi /etc/ddclient/ddclient.conf ## ddclient configuration file daemon=600 # check every 600 seconds syslog=yes # log update msgs to syslog mail-failure=xxxxxx@xxxxxx.xxxx.jp # Mail failed updates to user ←E-Mailアドレス pid=/var/run/ddclient.pid # record PID in file. ## Detect IP with our CheckIP server use=web, web=checkip.dyndns.com/, web-skip='IP Address' ## DynDNS username and password here login=xxxxxxxx ← DynDNSの登録ユーザ名 password=xxxxxxxx ← DynDNSの登録パスワード ## Default options protocol=dyndns2 server=members.dyndns.org ## Dynamic DNS hosts xxxx.xxxx.org ← 登録した Dynamic DNS hosts

(2) パーミッションの変更
$ sudo chmod 600 /etc/ddclient/ddclient.conf

4.起動方法など
 daemon起動かcron起動かってことですが、OS Xでdaemon起動設定は正直めんどい。ってゆーか個人的にOS X固有のlaunchd設定とか興味も無いのでcron起動な感じで。
$ sudo crontab -e * * * * * /usr/sbin/ddclient -daemon=0 -syslog retry

※ddclientのサンプルには「60 * * * * root /usr/sbin/ddclient -daemon=0 -syslog -quiet retry」とか
 書いてあるけどOS Xの場合、このままではcronから起動がかからないので実行ユーザー「root」を削除しちゃいましょ。
 あと、今時バツバツIPアドレスが切り替わることも無いのですが、とは言えssh使用中にIPアドレスが切り替わって、最長で一時間
 sshが使えないとか、悲しすぎるので1分間隔で起動するように設定。

5.動作確認
(1)PR-S300SEの「切断」ボタンおもむろにクリック、状態が「停止中」であることを確認後「接続」ボタンをクリック
(2)syslogの内容を確認
$ sudo grep ddclient /var/log/system.log | egrep -v "grep|cron" Dec 29 22:53:36 macmini ddclient[27716][27719]: SUCCESS: updating xxxx.xxxx.org: good:IP address set to xxx.xxx.xxx.xxx

(3)DNS正引き
$ nslookup xxxx.xxxx.org Server: 202.238.95.24 Address: 202.238.95.24#53 Non-authoritative answer: Name: xxxx.xxxx.org Address: xxx.xxx.xxx.xxx ← このIPアドレスがPR-S300SE 「情報」→「現在の情報」→                「PPPの状態」WAN側IPアドレス :xxx.xxx.xxx.xxx と等しければOK!

※概ね2分以内(So-netのDNSでためした場合)

6.おまけ
 Macでターミナルからコマンドなんか打ってらんねーよっ!! て方はGUIな「Macintosh/OS X Update Client」とかをどーぞ

nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

Mac Pro (Early 2008)のディスプレイ・カードとか [Mac]

ATI Radeon HD 5870 Graphics Upgrade Kit for Mac Pro が Mac Pro (Early 2008)でも動いたそうで。
ますます欲しい!!

Apple's ATI Radeon HD 5870 Works in 2008 Mac Pro

後はこのカードのMini Display PortにHDMI変換コネクタ噛ませて、Vieraに音声含めて繋がれば完璧かも。でも、この変換コネクタって音声に関しては色々と制約があるみたいなので難しいかな。
nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

久々にrtmpdump更新など。 [Mac]

radiko録音に使用しているrtmpdumpがどうも不定期に
「暴走 or SIGSEGVでお亡くなり」しているようなので、久々にrtmpdumpを最新版に更新してみる。
で、何がどう更新されたかは↓を真面目に追っかる感じで。
The rtmpdump Archives

まずは、最新sourceをげっと。
$ svn co svn://svn.mplayerhq.hu/rtmpdump/trunk rtmpdump A rtmpdump/rtmpgw.c ~ 省略 ~ A rtmpdump/rtmpsrv.c Checked out revision 548. $ date 2010年 8月11日 水曜日 13時27分06秒 JST $
いつの間にやら548まで上がってますねぇ で、コンパイル ※cpmpileオプションも変更されているので注意!
$ cd rtmpdump $ make SYS=darwin gcc -Wall -DRTMPDUMP_VERSION=\"v2.3\" -DUSE_OPENSSL -O2 -fPIC -c -o rtmp.o rtmp.c ~ 省略 ~ gcc -Wall -o rtmpsuck rtmpsuck.o thread.o -lpthread -Llibrtmp -lrtmp -lssl -lcrypto -lz $
でインストール
$ sudo make SYS=darwin install ~ 省略 ~ cd /usr/local/lib; ln -sf librtmp.0.dylib librtmp.dylib $
で、こんな感じにヘルプメッセージ
$ /usr/local/bin/rtmpdump -help RTMPDump v2.3 (c) 2010 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL /usr/local/bin/rtmpdump: This program dumps the media content streamed over RTMP. --help|-h Prints this help screen. --rtmp|-r url URL (e.g. rtmp://host[:port]/path) --host|-n hostname Overrides the hostname in the rtmp url --port|-c port Overrides the port in the rtmp url --socks|-S host:port Use the specified SOCKS proxy --protocol|-l num Overrides the protocol in the rtmp url (0 - RTMP, 2 - RTMPE) --playpath|-y path Overrides the playpath parsed from rtmp url --playlist|-Y Set playlist before playing --swfUrl|-s url URL to player swf file --tcUrl|-t url URL to played stream (default: "rtmp://host[:port]/app") --pageUrl|-p url Web URL of played programme --app|-a app Name of target app on server --swfhash|-w hexstring SHA256 hash of the decompressed SWF file (32 bytes) --swfsize|-x num Size of the decompressed SWF file, required for SWFVerification --swfVfy|-W url URL to player swf file, compute hash/size automatically --swfAge|-X days Number of days to use cached SWF hash before refreshing --auth|-u string Authentication string to be appended to the connect string --conn|-C type:data Arbitrary AMF data to be appended to the connect string B:boolean(0|1), S:string, N:number, O:object-flag(0|1), Z:(null), NB:name:boolean, NS:name:string, NN:name:number --flashVer|-f string Flash version string (default: "MAC 10,0,32,18") --live|-v Save a live stream, no --resume (seeking) of live streams possible --subscribe|-d string Stream name to subscribe to (otherwise defaults to playpath if live is specifed) --flv|-o string FLV output file name, if the file name is - print stream to stdout --resume|-e Resume a partial RTMP download --timeout|-m num Timeout connection num seconds (default: 30) --start|-A num Start at num seconds into stream (not valid when using --live) --stop|-B num Stop at num seconds into stream --token|-T key Key for SecureToken response --hashes|-# Display progress with hashes, not with the byte counter --buffer|-b Buffer time in milliseconds (default: 36000000) --skip|-k num Skip num keyframes when looking for last keyframe to resume from. Useful if resume fails (default: 0) --quiet|-q Suppresses all command output. --verbose|-V Verbose command output. --debug|-z Debug level command output. If you don't pass parameters for swfUrl, pageUrl, or auth these properties will not be included in the connect packet.

nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

HD 2600 XT終了のお知らせ。 [Mac]

--------- 2011/07/24 追記 ---------
今更だよな。 「Mac Pro (Early 2008):ATI Radeon HD 2600 XT ビデオカードでビデオ画像が歪む、またはビデオが表示されない」  とっくの昔に捨てちゃってるし、GT120とか買ったけど領収書のタグイなんてありゃしません。


あと、今更だけどOS X 10.6.8からMSI R5770 Hawk がFlashごにょごにょとかせずに純正のまま認識されてる。
Lionでも今のところ問題なさげ。旬はとっくの昔に過ぎてるけどw

A.jpg
--------- 2011/07/24 追記 おわり---------

んー、Mac Pro(Early 2008)のHD 2600 XTがとうとうぶっ壊れた。
このボードは結構故障率高いようで...評判が悪いのは知っていたんでけども。
半年くらい前から、rebootするとほぼ100%ブラックアウトしちゃう。
でも、rebootではなくshutdownしてから電源入れなおすとちゃんと
画面が表示されていたので、リモートからsshとかVNCとかでログインして
でだましだまし使っていたんだけど、とうとう何をやっても画面真っ黒っと
言うことで、最近、低性能なGT120を仕方なく購入してみた訳だが...
最近Apple Storeに登場した、↓これなんか見ちゃうと激烈に欲しくなるw
HD 5770 Graphics Upgrade Kit for Mac Pro(Mid 2010)
でも今度のHDは放熱本当に大丈夫なのぉ???って感じ。
HD 2600 XTで通常稼動時でもは90度超えてたしw

Mac Pro(Early 2008)で人柱チャレンジモードの人はいなのかなぁ...
まぁ、そもそも購入したGT120もMac Pro(Early 2008)ではサポート外だけども.
OSx86の人々は結構前からHD 5xxxなディスプレイカードを動かしてるのに...何か残念な感じ。

追記:2010/08/11


nice!(0)  コメント(0)  トラックバック(0) 
共通テーマ:日記・雑感

「なうなう」とか

クリストファーさん凄っ!!
ustream 視聴 iPad用に速攻でモディファイでやっつけちゃうとか
リアルタイムデバッグとか
その時のもよう → DSCAST ustreamアーカイブ
なうなうのURL

http://nownow.am6.jp/
nice!(1)  コメント(0) 
共通テーマ:日記・雑感

この広告は前回の更新から一定期間経過したブログに表示されています。更新すると自動で解除されます。

×

この広告は180日以上新しい記事の更新がないブログに表示されております。